#ifndef NEWMUSICBRAINZDIALOG_H
#define NEWMUSICBRAINZDIALOG_H

#include <kdialog.h>
#include "ui_newmusicbrainzdialog.h"

class NewMusicbrainzDialog : public QDialog, private Ui::NewMusicbrainzDialog
{
   Q_OBJECT
   
   public :
      NewMusicbrainzDialog(QWidget *parent = 0);
      ~NewMusicbrainzDialog();
      
      QString getSearchText();
      
   private slots:
      void addClicked();
      void artistTextChanged(const QString &text);
      
   protected:
      
   private:
      QString searchText;
      
};

#endif
